<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_bg"
    android:paddingBottom="10dp"
    tools:layout_height="400dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        android:paddingHorizontal="16dp"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_total_comment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_close"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="17条评论" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_close"
            android:layout_width="24dp"
            android:layout_height="24dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_close_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/v_refresh"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/cl_input"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_comment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:itemCount="3"
            tools:listitem="@layout/layout_dynamic_comment" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <com.adealink.weparty.commonui.widget.CommonEmptyErrorView
        android:id="@+id/v_error_view"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/v_refresh"
        app:layout_constraintEnd_toEndOf="@id/v_refresh"
        app:layout_constraintStart_toStartOf="@id/v_refresh"
        app:layout_constraintTop_toTopOf="@id/v_refresh" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_input"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:background="@drawable/common_input_single_edit_bg"
        android:minHeight="40dp"
        android:paddingHorizontal="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_talk"
            android:layout_width="24dp"
            android:layout_height="24dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/profile_dynamic_talk_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/et_input"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="@null"
            android:gravity="start|center_vertical"
            android:hint="@string/profile_dynamic_edit_talk_hint"
            android:includeFontPadding="false"
            android:maxLines="4"
            android:paddingVertical="8dp"
            android:textColor="@color/color_FF1D2129"
            android:textColorHint="@color/color_FFC9CDD4"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_talk"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
